(function( $ ) {
	'use strict';

	$(document).ready(function() {

		console.log(ldFlashcardsPublicVariables);

		let blockLoaded = false;
		let blockLoadedInterval = setInterval(function() {
			console.log('running');
			if ($('.learndash-flashcards-card-container').length) {

				$('.learndash-flashcards-card').each(function(){

					var ldFlashcardHeight = Math.max(
						$(this).find('.learndash-flashcards-card-front').outerHeight(),
						$(this).find('.learndash-flashcards-card-back').outerHeight(),
					);
					$(this).css({'height':ldFlashcardHeight});
					$(this).parent().css({'height':ldFlashcardHeight});
					$(this).find('.learndash-flashcards-card-front').css({'height':ldFlashcardHeight});
					$(this).find('.learndash-flashcards-card-back').css({'height':ldFlashcardHeight});					

				});

				$('.learndash-flashcards-card').on('click', function(){
					$(this).toggleClass('flipped');
				});

				if( 'yes' == ldFlashcardsPublicVariables.isFrontEnd ){
					blockLoaded = true;
				}

			}

			$('.learndash-flashcards-set-container').each(function(){

				var ldfcHeights = [];
				$(this).find('.learndash-flashcards-card-container').each(function(){
					ldfcHeights.push($(this).outerHeight());
				});
				var ldfcheight = Math.max.apply(Math, ldfcHeights);
				$(this).find('.learndash-flashcards-card-container').each(function(){
					$(this).css({'min-height':ldfcheight});
					$(this).find('.learndash-flashcards-card, .learndash-flashcards-card-front, .learndash-flashcards-card-back').css({'min-height':ldfcheight});
				});
									

			});

			$('.learndash-flashcards-set-container').each(function(){

				$(this).owlCarousel({
				 
					slideSpeed : 300,
					paginationSpeed : 400,
					singleItem:true,
					navigation : true,
					pagination : false,
					navigationText : false,
					afterInit: function(){
			
					}
					
				});
	
			});			

			if ( blockLoaded ) {
				clearInterval( blockLoadedInterval );
			}

		}, 1000);


	});

})( jQuery );
